Bug 1910492

Summary: KMS details are auto-populated on the screen in next attempt at Storage cluster creation
Product: OpenShift Container Platform Reporter: Neha Berry <nberry>
Component: Console Storage PluginAssignee: Bipul Adhikari <badhikar>
Status: CLOSED ERRATA QA Contact: Neha Berry <nberry>
Severity: medium Docs Contact:
Priority: low    
Version: 4.7CC: aos-bugs, nthomas, ocs-bugs
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:48:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
screencast of the flow depicting the issue none

Description Neha Berry 2020-12-24 07:48:40 UTC
Created attachment 1741673 [details]
screencast of the flow depicting the issue

Description of problem:
---------------------------
Installed OCP 4.7 on an AWS  and installed OCS 4.7 operator on top of it. While Creating storage cluster, did the following:

1. Select Capacity and Nodes - selected the 3 nodes

2. Configure -> Clicked on Enable Encryption

 a) Enabled  "Connect to an external key management service"  and added dummy entries for all the KMS Vault details. (Attached screenshot)

 b) clicked Next

3. in review and Create Page, clicked cancel to cancel storage cluster creation

4. Again Navigated to Installed operators->Create storage cluster page.  

5. In Configure Page, clicked on "Enable Encryption" and then "Connect to an external key management service" 

6. All the text boxes are auto-populated with the same dummy entries I had added in step 2a.

Actual Results
==================
The fields are auto-populated (maybe from browser cache) with previously entered values.


Expected results
======================

It is OK to get the pre-entered values as a suggestion(drop down kind) on clicking on the box, but the boxes should be not get totally populated.


Version-Release number of selected component (if applicable):
===========================================================


$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2020-12-21-131655   True        False  

OCS = ocs-operator.v4.7.0-207.ci

How reproducible:
=====================
Always


Steps to Reproduce:
====================
Stated in Description

Comment 7 errata-xmlrpc 2021-02-24 15:48:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633